const util = require("../../../utils/util");
const api = require('../../../api/api.js');
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    problems: [],
    hasLogin: false,
    bookTradeNo: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.bookTradeNo) {
      this.setData({
        bookTradeNo: options.bookTradeNo
      })
    }
    this.getProblems();
  },
  goProblem(e) {
    let that=this
    console.info(e)
    //此类问题 是否已报备过
    util.request(api.ProblemReported, {
      bookTradeNo: that.data.bookTradeNo,
      problemId: e.currentTarget.dataset.id
    }).then(res => {
      if (res.data) {
        wx.showToast({
          title: '请勿重复报备~',
          duration: 2000, 
        })
      } else {
        wx.navigateTo({
          url: '/pages/problem/add/problemAdd?id=' + e.currentTarget.dataset.id +
            '&name=' + e.currentTarget.dataset.name +
            '&bookTradeNo=' + that.data.bookTradeNo,
        })
      }
    })


  },
  getProblems() {
    let that = this
    wx.showLoading();
    util.request(api.ProblemProblems, {}).then(res => {
      wx.hideLoading();
      if (res.errno === 0) {
        that.setData({
          problems: res.data
        });
      }
    }).catch(res => {
      console.info(res)
      wx.hideLoading();
    })

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let userInfo = wx.getStorageSync('userInfo');
    if (userInfo) {
      this.setData({
        hasLogin: true
      });
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})